import type { Action, AnyAction } from '@reduxjs/toolkit';
import { type ComputedRef } from 'vue';
import { type SelectorArray, type SelectorResultArray } from './utils';
export declare const contextKey_original: unique symbol;
export declare const contextKey_adapted: unique symbol;
export interface UseSelector {
    <Result, State = unknown>(sel: (state: State) => Result): ComputedRef<Result>;
    /** For Multiple selectors */
    <Selectors extends SelectorArray, Result, State = unknown>(...items: [...Selectors, (...args: [State, ...SelectorResultArray<Selectors>]) => Result]): ComputedRef<Result>;
}
/** select a state from store in nearest `Provider` */
export declare const useSelector: UseSelector;
/** get the store from nearest `Provider` */
export declare function useStore<State = unknown, A extends Action<any> = AnyAction>(): any;
/** get the dispatch method from nearest `Provider` */
export declare function useDispatch<State = unknown, A extends Action<any> = AnyAction>(): any;
